# Method: projects.configs.setIamPolicy

- [HTTP request](https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs/setIamPolicy#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs/setIamPolicy#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs/setIamPolicy#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs/setIamPolicy#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs/setIamPolicy#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs/setIamPolicy#body.aspect)
- [Try it!](https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs/setIamPolicy#try-it)

Sets the access control policy on the specified resource. Replaces any existing policy.

### HTTP request

`POST https://runtimeconfig.googleapis.com/v1beta1/{resource=projects/*/configs/*}:setIamPolicy`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `resource` | `string` REQUIRED: The resource for which the policy is being specified. See the operation documentation for the appropriate value for this field. |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "policy": { object(`https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/Policy`) } } ``` |

| Fields ||
|---|---|
| `policy` | ``object(`https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/Policy`)`` REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Cloud Platform services (such as Projects) might reject them. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/Policy`.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloudruntimeconfig`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

## Try it!